Module | Sequel::Dataset::UnsupportedIntersectExceptAll
In: | lib/sequel/adapters/utils/unsupported.rb

This module should be included in the dataset class for all databases that don‘t support INTERSECT ALL or EXCEPT ALL.

### Methods

except intersect

### Public Instance methods

except(ds, all=false)

Raise an Error if EXCEPT is used

[Source]

        # File lib/sequel/adapters/utils/unsupported.rb, line 32
    32:     def except(ds, all=false)
    33:       raise(Sequel::Error, "EXCEPT ALL not supported") if all
    34:       super(ds)
    35:     end

intersect(ds, all=false)

Raise an Error if INTERSECT is used

[Source]

        # File lib/sequel/adapters/utils/unsupported.rb, line 38
    38:     def intersect(ds, all=false)
    39:       raise(Sequel::Error, "INTERSECT ALL not supported") if all
    40:       super(ds)
    41:     end

[Validate]